OpenCV: cv::DescriptorMatcher::DescriptorCollection Class Reference

| OpenCV 3.4.2 Open Source Computer Vision

Public Member Functions | Protected Attributes | List of all members
cv::DescriptorMatcher::DescriptorCollection Class Reference

`#include "features2d.hpp"`

## Public Member Functions
| DescriptorCollection ()
| DescriptorCollection (const DescriptorCollection &collection)
virtual | ~DescriptorCollection ()
virtual void | clear ()
const Mat | getDescriptor (int imgIdx, int localDescIdx) const
const Mat | getDescriptor (int globalDescIdx) const
const Mat & | getDescriptors () const
void | getLocalIdx (int globalDescIdx, int &imgIdx, int &localDescIdx) const
void | set (const std::vector< Mat > &descriptors)
int | size () const

## Protected Attributes
Mat | mergedDescriptors
std::vector< int > | startIdxs

## Detailed Description

Class to work with descriptors from several images as with one merged matrix. It is used e.g. in FlannBasedMatcher.

## Constructor & Destructor Documentation

## ◆ DescriptorCollection() [1/2]

cv::DescriptorMatcher::DescriptorCollection::DescriptorCollection | ( |  | ) |

## ◆ DescriptorCollection() [2/2]

cv::DescriptorMatcher::DescriptorCollection::DescriptorCollection | ( | const DescriptorCollection & | collection | ) |

## ◆ ~DescriptorCollection()

virtual cv::DescriptorMatcher::DescriptorCollection::~DescriptorCollection | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ clear()

virtual void cv::DescriptorMatcher::DescriptorCollection::clear | ( |  | ) |
| virtual

## ◆ getDescriptor() [1/2]

const Mat cv::DescriptorMatcher::DescriptorCollection::getDescriptor | ( | int | imgIdx,
|  | int | localDescIdx
| ) |  | const

## ◆ getDescriptor() [2/2]

const Mat cv::DescriptorMatcher::DescriptorCollection::getDescriptor | ( | int | globalDescIdx | ) | const

## ◆ getDescriptors()

const Mat& cv::DescriptorMatcher::DescriptorCollection::getDescriptors | ( |  | ) | const

## ◆ getLocalIdx()

void cv::DescriptorMatcher::DescriptorCollection::getLocalIdx | ( | int | globalDescIdx,
|  | int & | imgIdx,
|  | int & | localDescIdx
| ) |  | const

## ◆ set()

void cv::DescriptorMatcher::DescriptorCollection::set | ( | const std::vector< Mat > & | descriptors | ) |

## ◆ size()

int cv::DescriptorMatcher::DescriptorCollection::size | ( |  | ) | const

## Member Data Documentation

## ◆ mergedDescriptors

Mat cv::DescriptorMatcher::DescriptorCollection::mergedDescriptors
| protected

## ◆ startIdxs

std::vector<int> cv::DescriptorMatcher::DescriptorCollection::startIdxs
| protected

The documentation for this class was generated from the following file:

- features2d/include/opencv2/features2d.hpp